MagicMirror² v2.12.0 is available! For more information about this release, check out this topic.

Magic Mirror not starting after upgrade on Raspberry Pi2



  • I upgraded MM today to version 2.4.1 on my raspberry Pi 2. I did the npm install but now getting the following error:

    0 info it worked if it ends with ok
    1 verbose cli [ ‘/usr/bin/nodejs’, ‘/usr/bin/npm’, ‘start’ ]
    2 info using npm@1.4.21
    3 info using node@v4.8.2
    4 verbose run-script [ ‘prestart’, ‘start’, ‘poststart’ ]
    5 info prestart magicmirror@2.4.1
    6 info start magicmirror@2.4.1
    7 verbose unsafe-perm in lifecycle true
    8 info magicmirror@2.4.1 Failed to exec start script
    9 error magicmirror@2.4.1 start: sh run-start.sh
    9 error Exit status 127
    10 error Failed at the magicmirror@2.4.1 start script.
    10 error This is most likely a problem with the magicmirror package,
    10 error not with npm itself.
    10 error Tell the author that this fails on your system:
    10 error sh run-start.sh
    10 error You can get their info via:
    10 error npm owner ls magicmirror
    10 error There is likely additional logging output above.
    11 error System Linux 4.14.52-v7+
    12 error command “/usr/bin/nodejs” “/usr/bin/npm” “start”
    13 error cwd /home/pi/MagicMirror
    14 error node -v v4.8.2
    15 error npm -v 1.4.21
    16 error code ELIFECYCLE
    17 verbose exit [ 1, true ]


Log in to reply